4 Replies Latest reply on Oct 7, 2004 3:17 AM by Ruan Neo

    Can Javassist control class file's version?

    Ruan Neo Newbie


      Hi,
      When I use javassist to transfers class files,I met this problem.When source class files' version is upper to 1.4. the target classes can not be invoked in an applet(JRE 1.4). Get a class.FormatError(extra bytes).
      When I change the class version info by myself.(eg. form CAFE BABE 0000 002E... to CAFE BABE 0003 002D... )This problem is not existed.(Because JRE1.4's profilers).
      So How can I control the output class file's version?Thanks!